// Script assets have changed for v2.3.0 see
// https://help.yoyogames.com/hc/en-us/articles/360005277377 for more information
function Space_Alien_Spawning()
{
	if global.load == true
	{
		for (var i = 0; i < ds_list_size(global.alien_data); i += 1)
		{
			Obj_Spawned = instance_create_layer(global.alien_data[| i][| 2], global.alien_data[| i][| 3], "Instances", global.alien_data[| i][| 1])
			global.alien_data[| i][| 0] = Obj_Spawned.id
			Obj_Spawned.ID = global.alien_data[| i][| 0]
			Obj_Spawned.hp = global.alien_data[| i][| 4]
			Obj_Spawned.index = i
		}
	}
	else
	{
		ds_list_clear(global.alien_data)
		repeat(10)
		{
			x_pos = irandom_range(50, 9950)
			y_pos = irandom_range(50, 9950)
			var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Alien_Spacecraft_Obj)
			Obj_Spawned.x_pos = x_pos
			Obj_Spawned.hp = 100
			Obj_Spawned.y_pos = y_pos
			Obj_Spawned.ID = Obj_Spawned
			data_array = ds_list_create()
			ds_list_add(data_array, Obj_Spawned.ID, Obj_Spawned.object_index, Obj_Spawned.x, Obj_Spawned.y, Obj_Spawned.hp)
			ds_list_add(global.alien_data,data_array)
			Obj_Spawned.index = ds_list_size(global.alien_data) - 1
		}
	}
}
function More_Aliens()
{
	repeat(10)
	{
		x_pos = irandom_range(50, 9950)
		y_pos = irandom_range(50, 9950)
		var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Alien_Spacecraft_Obj)
		Obj_Spawned.x_pos = x_pos
		Obj_Spawned.hp = 100
		Obj_Spawned.y_pos = y_pos
		Obj_Spawned.ID = Obj_Spawned
		data_array = ds_list_create()
		ds_list_add(data_array, Obj_Spawned.ID, Obj_Spawned.object_index, Obj_Spawned.x, Obj_Spawned.y, Obj_Spawned.hp)
		ds_list_add(global.alien_data,data_array)
		Obj_Spawned.index = ds_list_size(global.alien_data) - 1
	}
}
function Space_Resouce_Spawning()
{
	if global.load == true
	{
		show_debug_message(global.space_object_data)
		for (var i = 0; i < ds_list_size(global.space_object_data); i += 1)
		{
			show_debug_message(global.space_object_data)
			Obj_Spawned = instance_create_layer(global.space_object_data[| i][| 2], global.space_object_data[| i][| 3], "Instances", global.space_object_data[| i][| 1])
			global.space_object_data[| i][| 0] = Obj_Spawned.id
			Obj_Spawned.index = i
		}
	}
	else
	{
		ds_list_clear(global.space_object_data)
		do	
		{
			x_pos = irandom_range(50, 9950)
			y_pos = irandom_range(50, 9950)
			randint = irandom(5000)
			if randint = 5000
			{
				var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Quagga_Power_Slug_Obj)
			}
			else if randint = 4999
			{
				var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Quagga_Gem_Obj)
			}
			else
			{
				randint = irandom(500)
				if randint >= 500
				{
					var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Bauxite_Obj)
				}
				else if randint >= 499
				{
					var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Pink_Power_Slug_Obj)
				}
				else
				{
					randint = irandom(12)
					if randint = 12
					{
						var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Gold_Ore_Obj)
					}
					else if randint = 11
					{
						var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Yellow_Power_Slug_Obj)
					}
					else if randint = 10
					{
						var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Oil_Coal_Obj)
					}
					else
					{
						randint = irandom(6)
						if randint = 6
						{
							var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Iron_Ore_Obj)
						}
						else if randint = 5
						{
							var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Blue_Power_Slug_Obj)
						}
						else if randint = 4
						{
							var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Stone_Obj)
						}
						else if randint = 3
						{
							var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Plantlife_Obj)
						}
						else if randint = 2
						{
							var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Ice_Resource_Obj)
						}
						else
						{
							continue var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Waste_Rock_Obj)
						}
					}
				}
			}
			data_array = ds_list_create()
			ds_list_add(data_array, Obj_Spawned, Obj_Spawned.object_index, x_pos, y_pos)
			ds_list_add(global.space_object_data, data_array)
		}
		until ds_list_size(global.space_object_data) >= 1000
	}
}
function More_Rocks()
{
	previous_amount = ds_list_size(global.space_object_data)
	do	
	{
		x_pos = irandom_range(50, 9950)
		y_pos = irandom_range(50, 9950)
		randint = irandom(5000)
		if randint = 5000
		{
			var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Quagga_Power_Slug_Obj)
		}
		else if randint = 4999
		{
			var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Quagga_Gem_Obj)
		}
		else
		{
			randint = irandom(500)
			if randint >= 500
			{
				var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Bauxite_Obj)
			}
			else if randint >= 499
			{
				var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Pink_Power_Slug_Obj)
			}
			else
			{
				randint = irandom(12)
				if randint = 12
				{
					var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Gold_Ore_Obj)
				}
				else if randint = 11
				{
					var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Yellow_Power_Slug_Obj)
				}
				else if randint = 10
				{
					var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Oil_Coal_Obj)
				}
				else
				{
					randint = irandom(6)
					if randint = 6
					{
						var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Iron_Ore_Obj)
					}
					else if randint = 5
					{
						var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Blue_Power_Slug_Obj)
					}
					else if randint = 4
					{
						var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Stone_Obj)
					}
					else if randint = 3
					{
						var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Plantlife_Obj)
					}
					else if randint = 2
					{
						var Obj_Spawned = instance_create_layer(x_pos, y_pos, "Instances", Ice_Resource_Obj)
					}
					else
					{
						continue
					}
				}
			}
		}
		data_array = ds_list_create()
		ds_list_add(data_array, Obj_Spawned, Obj_Spawned.object_index, x_pos, y_pos)			
		ds_list_add(global.space_object_data, data_array)
	}
	until ds_list_size(global.space_object_data) >= previous_amount + 1000
}